# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.define "pp-master" do |config|
    config.vm.network "private_network", ip: "192.168.56.80"
    config.vm.box = "centos/7"
    config.vm.hostname = "pp-master"
    config.vm.provider "virtualbox" do |vb|
      vb.name = "pp-master"
      vb.memory = 2048
      vb.cpus = 2
    end
    config.vm.provision "setup-master", :type => "shell", :path => "config/pp-master-bootstrap.sh"
  end

  config.vm.define "pp-agent" do |config|
    config.vm.network "private_network", ip: "192.168.56.81"
    config.vm.box = "centos/7"
    config.vm.hostname = "pp-agent"
    config.vm.provider "virtualbox" do |vb|
      vb.memory = 2048
      vb.cpus = 2
    end
    config.vm.provision "setup-agent", :type => "shell", :path => "config/pp-agent-bootstrap.sh"
  end
end
